import 'package:flutter/material.dart';

class Example {
  const Example({
    required this.title,
    required this.icon,
    required this.path,
    required this.builder,
  });

  final String title;
  final IconData icon;
  final String path;
  final WidgetBuilder builder;
}

class ExampleContainer extends StatelessWidget {
  const ExampleContainer(
    this.example, {
    Key? key,
  }) : super(key: key);

  final Example example;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(example.title),
      ),
      body: Center(
        child: SingleChildScrollView(
          child: example.builder(context),
        ),
      ),
    );
  }
}
