import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  test('doit vérifier que les ressources du Provider sont libérées', () async {
    // given:
    final container = ProviderContainer();
    addTearDown(container.dispose);

    var disposed = false; // 1
    final provider = Provider.autoDispose<void>((ref) {
      ref.onDispose(() => disposed = true);
    });

    // when:
    container.read(provider); // <2>

    // then:
    expect(disposed, isFalse); // <3>

    // when:
    await Future.delayed(const Duration(milliseconds: 1)); // <4>

    // then:
    expect(disposed, isTrue); // <5>
  });
}
